%define major   1
%define girapi  1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{girapi}
%define devname %mklibname %{name} -d

Name:           statusnotifier
Version:        1.0.0
Release:        %mkrel 2
Summary:        Library to use KDE's StatusNotifierItem via GObject
Group:          System/Libraries
License:        GPLv3+
URL:            https://jjacky.com/statusnotifier
Source0:        https://jjacky.com/statusnotifier/%{name}-%{version}.tar.xz
Patch1:		0001-Fix-gtk-doc-build-with-libtool.patch
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(dbusmenu-glib-0.4)
BuildRequires:  pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)

%description
This library allows to easily create a GObject to manage a SatusNotifierItem,
handling all the DBus interface and letting you simply deal with the object's
properties and signals.

StatusNotifierItem is a Freedesktop specification used among others by KDE's
Plasma as a replacement for XEmbed systray.

%package -n %{libname}
Summary:        Library to use KDE's StatusNotifierItem via GObject
Group:          System/Libraries

%description -n %{libname}
This library allows to easily create a GObject to manage a SatusNotifierItem,
handling all the DBus interface and letting you simply deal with the object's
properties and signals.

StatusNotifierItem is a Freedesktop specification used among others by KDE's
Plasma as a replacement for XEmbed systray.

%package -n %{girname}
Summary:        GObject Introspection interface description for statusnotifier
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface description for statusnotifier.

%package -n %{devname}
Summary:        Development files for the statusnotifier library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development header and library for the statusnotifier library.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure2_5x \
  --disable-static \
  --enable-gtk-doc=yes \
  --enable-dbusmenu=yes \
  --enable-introspection=yes
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/StatusNotifier-%{girapi}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/StatusNotifier-%{girapi}.gir
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Mar 13 2017 wally <wally> 1.0.0-2.mga6
+ Revision: 1092470
- add patch to fix gtk-doc build with libtool
- disable static build

* Mon Mar 13 2017 akien <akien> 1.0.0-1.mga6
+ Revision: 1092388
- Version 1.0.0
  o Adds dbusmenu API
  o Upstreams introspection logic

* Sat Mar 04 2017 akien <akien> 0.1.0-3.mga6
+ Revision: 1088739
- Cherry-pick two upstream patches as advised by LpSolit

* Fri Mar 03 2017 akien <akien> 0.1.0-2.mga6
+ Revision: 1088591
- Simplify and dehardcode paths

* Fri Mar 03 2017 akien <akien> 0.1.0-1.mga6
+ Revision: 1088584
- imported package statusnotifier

